### Virtual Method

# Ide BufferAddin file_loaded

#### Declaration

    void
    file_loaded (
      IdeBufferAddin* self,
      IdeBuffer* buffer,
      GFile* file
    )

#### Description

This function is called for an addin after a file has been loaded from disk.

It is not guaranteed that this function will be called for addins that were loaded after the buffer already loaded a file.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.
`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.